<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Department of Truth</Series>
  <Number>14</Number>
  <Web>https://www.comixology.com/The-Department-of-Truth-14/digital-comic/966156</Web>
  <Summary>In 1946, Scientology founder L. Ron Hubbard and eccentric rocket scientist Jack Parsons performed a series of rituals to summon a divine feminine being. Her name was Babalon. She was dressed all in…RED. Eisner winner JOHN J. PEARSON (BLUE IN GREEN) joins THE DEPARTMENT OF TRUTH for an occult blast from the past.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB966156], [ASINB09F8BP4HS]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Crime, Suspense, Political</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
